## GnomeDbModelWrapper

GnomeDbModelWrapper — Adds the GnomeDbDataModel interface to objects which implement the GdaDataModel interface

## Synopsis

                GnomeDbModelWrapper;
    GType       gnome_db_model_wrapper_get_type (void);
    GObject*    gnome_db_model_wrapper_new      (GnomeDbDict *dict,
                                                 GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GnomeDbBase
             +----GnomeDbModelWrapper

## Implemented Interfaces

GnomeDbModelWrapper implements GnomeDbDataModel, GnomeDbEntity and GdaDataModel.

## Properties

      "prop"                 gpointer              : Read / Write

## Description

For convenience it also implements the GdaDataModel (which calls the original GdaDataModel interface of the object). The GnomeDbEntity interface is also implemented (the individual fields objects are GnomeDbWrapperField objects).

## Details

### GnomeDbModelWrapper

    typedef struct _GnomeDbModelWrapper GnomeDbModelWrapper;

### gnome_db_model_wrapper_get_type ()

    GType       gnome_db_model_wrapper_get_type (void);

Returns : |

### gnome_db_model_wrapper_new ()

    GObject*    gnome_db_model_wrapper_new      (GnomeDbDict *dict,
                                                 GdaDataModel *model);

Creates a new GnomeDbModelWrapper object

`dict` : | a GnomeDbDict object
`model` : | the GdaDataModel to wrap
Returns : | the new object

## Property Details

### The "`prop`" property

      "prop"                 gpointer              : Read / Write